package ca.bc.webarts;
class JOggPlayerAutoUpdating extends ca.bc.webarts.tools.AutoUpdateApp
{
  /** This has been overridden.**/
  //protected static String appName_ = "jOggPlayer";
  //protected static String appPropertyFilename_ = appName_ + ".prop";
  //protected static boolean debug_ = true;


   /**
   * Basic constructor for the application.  It is empty. The entry for this
   * app is the <A HREF="#main(java.lang.String[])">main( String[] )</A> or
   * <A HREF="#runApp(java.util.Properties)">runApp(Properties)</A>methods.
   *
   * @see #main
   * @see #runApp
   **/
  private JOggPlayerAutoUpdating()
  {
    //super();
    appName_ = "jOggPlayer";
    appPropertyFilename_ = appName_ + ".prop";
    debug_ = true;
  }

  /**
   * The main entry for this app. It performs all the calls to validate,
   * download and then execute the executable requested in the Properties file
   * that is passed in as this apps single commandline parameter.
   *
   * @param args are the commandline parameters.This app expects ONLY 1
   *             parameter... the absolute file path to the properties file
   *             containing all the info for the Remote App to execute.
   *
   * @see #runApp
   **/
  public static void main(String [] args)
  {
    JOggPlayerAutoUpdating me = new JOggPlayerAutoUpdating();
    System.out.println("Starting The AutoUpdateApp "+me.appName_);
    if (args.length < 1)
      me.runApp(me.loadAutoAppPropertiesFile());
    else
      System.out.println("JOggPlayerAutoUpdating ERROR - incorrect number of" +
                         "commandline args:\nUSAGE: java -jar " + me.appName_ +
                         ".jar ");

    //System.exit(0);
  }


}
